Last Comment Bug 813638 - Under Windows Classic Theme Thunderbird 17 title bar is same colour as window background
: Under Windows Classic Theme Thunderbird 17 title bar is same colour as window...
Status: RESOLVED FIXED
[workaround in comment 1 set mail.tab...
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: 17 Branch
: All Windows XP
: -- normal with 2 votes (vote)
: Thunderbird 20.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
https://getsatisfaction.com/mozilla_m...
: 821645 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-20 09:53 PST by Virgo Pärna
Modified: 2014-04-30 10:50 PDT (History)
14 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
18+
fixed


Attachments
Screenshot (248.46 KB, image/png)
2012-11-20 11:00 PST, Virgo Pärna
no flags Details
proposed fix (1.23 KB, patch)
2012-11-28 11:24 PST, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
Details | Diff | Review
screenshot with patch in action (on top active on bottom inactive) (30.52 KB, image/png)
2012-11-28 11:29 PST, Richard Marti (:Paenglab)
no flags Details
patch for check-in (1.24 KB, patch)
2012-12-10 10:24 PST, Richard Marti (:Paenglab)
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑esr17+
Details | Diff | Review

Description Virgo Pärna 2012-11-20 09:53:13 PST
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:17.0) Gecko/17.0 Firefox/17.0
Build ID: 20121119183901

Steps to reproduce:

Updated Thunderbird to version 17.


Actual results:

Under Windows XP with classic Windows theme Thunderbirds window title bar does not have correct colour (blue when active, dark gray when inactive).



Expected results:

Window title bar should be blue, when active and dark gray, when not inactive.
Comment 1 Richard Marti (:Paenglab) 2012-11-20 10:52:42 PST
Please can you provide a screenshot? Have you disabled the tabs? With hidden menu bar the tabs would draw in the title bar, then the title bar color change would make the tabs hard readable. To become the color changing title bar back you can do this: Go to Tools/Options.../Advanced/General and click on Config Editor... Then say yes to the warning and search for mail.tabs.drawInTitlebar. Double click it to change to false.
Comment 2 Virgo Pärna 2012-11-20 11:00:50 PST
Created attachment 683679 [details]
Screenshot

Here is the requested screenshot. Tabs are not disabled, but they are below the menu bar (isn't it default on Windows XP?). And menu bar is wisible. Setting mail.tabs.drawInTitlebar to false helped, but it should be default, when tabs are below menu bar.
Comment 4 Andy Townsend 2012-11-21 05:00:13 PST
For info I'm seeing exactly the same effect as reported in comment 2 on Windows 7 64-bit.

Setting mail.tabs.drawInTitlebar to false makes the title bar background correct and contain the correct text.

Setting mail.tabs.drawInTitlebar to true makes the title bar background incorrect and contain no text (so you can't see which account you are looking at).
Comment 5 Andy Townsend 2012-11-21 05:07:35 PST
Actually, after reading 

https://developer.mozilla.org/en-US/docs/Mozilla/Preferences/Preference_reference/mail.tabs.drawInTitlebar 

it's clear that the intended "functionality" of this option (to draw the tabs in the title bar when set to "true") isn't working either.
Comment 6 Richard Marti (:Paenglab) 2012-11-21 05:25:13 PST
When you hide the menu bar the tabs are in title bar. You can then access the menu bar either by pressing the ALT key or with the mouse on the new button with the three bars, which should be shown on the right of the main tool bar, and then use the Application menu.
Comment 7 Joe Sabash [:JoeS1] 2012-11-21 14:21:31 PST
As I recall, windows classic theme acted like this bugs complaint.
I don't have that laptop availablr to check now, but the theme that worked correctly had "XP" in the theme name.
Comment 8 :aceman 2012-11-21 14:43:57 PST
I see this for a long time but I thought it was already filed :)
Comment 9 John David Galt 2012-11-21 14:56:21 PST
The same (analogously) is true even with Classic View set in the Windows XP UI.  The point is that since this gratuitous UI change, we can no longer tell whether Thunderbird is the active app by looking at its title bar; in effect it no longer HAS a title bar.

Please provide a preference to turn off this change (and all future UI changes, preferably before releasing them!!)
Comment 10 Richard Marti (:Paenglab) 2012-11-22 01:02:23 PST
(In reply to John David Galt from comment #9)
> Please provide a preference to turn off this change (and all future UI
> changes, preferably before releasing them!!)

Please check comment 1.
Comment 11 Mike Conley (:mconley) - (needinfo me!) 2012-11-22 17:09:33 PST
John:

Did flipping mail.tabs.drawInTitlebar to false fix the problem?

-Mike
Comment 12 John David Galt 2012-11-22 18:50:19 PST
Yes, thanks, that has fixed it for me.
Comment 13 Mark Banner (:standard8) 2012-11-23 00:37:38 PST
I just did some tests, I can confirm this affects users of the Windows Classic theme on Windows XP and Windows 7.
Comment 14 Richard Marti (:Paenglab) 2012-11-28 11:24:13 PST
Created attachment 686201 [details] [diff] [review]
proposed fix

This patch adds only on inactive window the inactivecaption color. I added also a rule which makes the menu text visible on inactive background color.

This is only a part of the fix. Maybe we should have a logic where the draw in title bar is on false when the menu is not on auto hide. Aero and Win8 default should stay as they are now because the menu bar is drawn below the tabs. But this would be out of my skills.

Or when draw in title bar is on true then the menu bar is on all this systems below the tabs. Draw in title bar is no system standard then we could also break the menu position standard.
Comment 15 Richard Marti (:Paenglab) 2012-11-28 11:29:26 PST
Created attachment 686204 [details]
screenshot with patch in action (on top active on bottom inactive)
Comment 16 Blake Winton (:bwinton) (:☕️) 2012-12-10 07:55:40 PST
Comment on attachment 686201 [details] [diff] [review]
proposed fix

>+++ b/mail/themes/qute/mail/mailWindow1.css
>@@ -402,24 +402,29 @@
>+#messengerWindow[tabsintitlebar]:-moz-system-metric(windows-classic)
>+menubar > menu:-moz-window-inactive {

Since this is a continuation of the previous line and not a new selector, I think we want to indent it a little.  (I'll let you pick whether 2 or 4 spaces looks better.)

Aside from that, it looks good, so ui-r=me, and r=me!

Thanks,
Blake.
Comment 17 Richard Marti (:Paenglab) 2012-12-10 10:24:50 PST
Created attachment 690450 [details] [diff] [review]
patch for check-in

I've chosen 2px indentation.

[Approval Request Comment]
This could help to differentiate between active and inactive window under Classic also for ESR17.
Comment 19 :aceman 2012-12-17 09:29:50 PST
*** Bug 821645 has been marked as a duplicate of this bug. ***
Comment 20 Bruce Robson 2013-01-22 10:16:03 PST
I've just updated thunderbird from 10.0.12esr to 17.0.2esr and the title bar
was wrong until I set mail.tabs.drawInTitlebar to false. By wrong I mean
a)  colour didn't change when window changes between active/inactive
b)  no title text
c)  no thunderbird icon at the left
This is despite the tracking flags for this bug stating status-thunderbird-esr17: Fixed

I'm running 32-bit Windows XP pro using the classic theme.
Comment 21 :aceman 2014-04-30 03:09:11 PDT
For some reason this got fixed for me only now with latest nightly of 2014-04-29. It works regardless of draw_in_titlebar value.
Comment 22 Richard Marti (:Paenglab) 2014-04-30 03:15:47 PDT
The reason is bug 953204.
Comment 23 John David Galt 2014-04-30 07:32:49 PDT
That's weird, bug 953204 seems to have broken it for me.  The menubar and tabbar background are not supposed to be the same.
Comment 24 Richard Marti (:Paenglab) 2014-04-30 10:50:38 PDT
This bug shouldn't be used for this issue.
John, please can you file a new bug for your problem, if it's on Daily or latest 31.0a2? Please also include screenshots.

Note You need to log in before you can comment on or make changes to this bug.